# astruct

Auto structures in Go

## BUGS

* Currently we assume if 1 type is able to be int64 then we use int64, but it might not be able to (it might actually be float64)
* Need to fix it so if AssumeStruct is true then we make structures (always), else we only make a structure if the types vary
* Fix it so if we make a structure (because AssumeStruct is true) then anywhere we'd have the same field use that structure instead
* Fix numeric structure names when there is no prefix
* Verify this is valid go code

## To Remove

* UseInterface (because we already expect go1.20.3, rather what we built with) use `any` rather than `interface{}` adaptable

## Missing Features

* Build a better WriteFile where it generates each structure then when we do a final WriteFile we merge all that together (basically optimize the WriteFile process so it's cleaner and less huge)

## Gothonic

* Work on breaking down the many complex and huge methods/functions and get a series of smaller methods/functions built
* Use `any` instead of `interface{}`, and drop old versions of Go.
